# PluginCodec_MediaFormat Class Reference

`#include <opalplugin.hpp>`

## Public Types

typedef PluginCodec_Option const *const * | OptionsTable
typedef std::map< std::string, std::string > | OptionMap

## Public Member Functions

virtual | ~PluginCodec_MediaFormat ()
const void * | GetOptionsTable () const
virtual bool | IsValidForProtocol (const char *)
| Determine if codec is valid for the specified protocol.
bool | AdjustOptions (void *parm, unsigned *parmLen, bool(PluginCodec_MediaFormat::*adjuster)(OptionMap &original, OptionMap &changed))
| Utility function to adjust option strings, used by ToNormalised()/ToCustomised().
virtual bool | ToNormalised (OptionMap &original, OptionMap &changed)=0
| Adjust normalised options calculated from codec specific options.
virtual bool | ToCustomised (OptionMap &original, OptionMap &changed)=0
virtual void | AdjustForVersion (unsigned version, const PluginCodec_Definition *)

## Static Public Member Functions

static void | Change (const char *value, OptionMap &original, OptionMap &changed, const char *option)
static unsigned | String2Unsigned (const std::string &str)
static void | AppendUnsigned2String (unsigned value, std::string &str)
static void | Unsigned2String (unsigned value, std::string &str)
static void | Change (unsigned value, OptionMap &original, OptionMap &changed, const char *option)
static void | ClampMax (unsigned maximum, OptionMap &original, OptionMap &changed, const char *option)
static void | ClampMin (unsigned minimum, OptionMap &original, OptionMap &changed, const char *option)
static void | AdjustAllForVersion (unsigned version, const PluginCodec_Definition *definitions, size_t size)

## Protected Member Functions

| PluginCodec_MediaFormat (OptionsTable options)

## Protected Attributes

OptionsTable | m_options

## Member Typedef Documentation

typedef std::map<std::string, std::string> PluginCodec_MediaFormat::OptionMap

typedef struct PluginCodec_Option const* const* PluginCodec_MediaFormat::OptionsTable

## Constructor & Destructor Documentation

PluginCodec_MediaFormat::PluginCodec_MediaFormat | ( | OptionsTable | options | ) | `[inline, protected]`

virtual PluginCodec_MediaFormat::~PluginCodec_MediaFormat | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

static void PluginCodec_MediaFormat::AdjustAllForVersion | ( | unsigned | version,
|  | const PluginCodec_Definition * | definitions,
|  | size_t | size |
| ) |  |  | `[inline, static]`

virtual void PluginCodec_MediaFormat::AdjustForVersion | ( | unsigned | version,
|  | const PluginCodec_Definition * |  |
| ) |  |  | `[inline, virtual]`

bool PluginCodec_MediaFormat::AdjustOptions | ( | void * | parm,
|  | unsigned * | parmLen,
|  | bool(PluginCodec_MediaFormat::*)(OptionMap &original, OptionMap &changed) | adjuster |
| ) |  |  | `[inline]`

Utility function to adjust option strings, used by ToNormalised()/ToCustomised().

static void PluginCodec_MediaFormat::AppendUnsigned2String | ( | unsigned | value,
|  | std::string & | str |
| ) |  |  | `[inline, static]`

static void PluginCodec_MediaFormat::Change | ( | unsigned | value,
|  | OptionMap & | original,
|  | OptionMap & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

static void PluginCodec_MediaFormat::Change | ( | const char * | value,
|  | OptionMap & | original,
|  | OptionMap & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

static void PluginCodec_MediaFormat::ClampMax | ( | unsigned | maximum,
|  | OptionMap & | original,
|  | OptionMap & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

static void PluginCodec_MediaFormat::ClampMin | ( | unsigned | minimum,
|  | OptionMap & | original,
|  | OptionMap & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

const void* PluginCodec_MediaFormat::GetOptionsTable | ( |  | ) | const`[inline]`

virtual bool PluginCodec_MediaFormat::IsValidForProtocol | ( | const char * |  | ) | `[inline, virtual]`

Determine if codec is valid for the specified protocol.

static unsigned PluginCodec_MediaFormat::String2Unsigned | ( | const std::string & | str | ) | `[inline, static]`

virtual bool PluginCodec_MediaFormat::ToCustomised | ( | OptionMap & | original,
|  | OptionMap & | changed |
| ) |  |  | `[pure virtual]`

virtual bool PluginCodec_MediaFormat::ToNormalised | ( | OptionMap & | original,
|  | OptionMap & | changed |
| ) |  |  | `[pure virtual]`

Adjust normalised options calculated from codec specific options.

static void PluginCodec_MediaFormat::Unsigned2String | ( | unsigned | value,
|  | std::string & | str |
| ) |  |  | `[inline, static]`

## Field Documentation

OptionsTable PluginCodec_MediaFormat::m_options `[protected]`

The documentation for this class was generated from the following file:

- opalplugin.hpp